# qml6glrendersrc

A video src that renders a QML scene and produces video buffers.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSrc
                        ╰──GstPushSrc
                            ╰──GstGLBaseSrc
                                ╰──qml6glrendersrc

## Factory details

Authors: – Matthew Waters <matthew></matthew>

Classification: – `Source/Video`

Rank – none

Plugin – qml6

Package – GStreamer Good Plug-ins

## Pad Templates

### `src`

    video/x-raw(memory:GLMemory):
             format: RGBA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]
     texture-target: 2D

Presence – always

Direction – src

Object type – GstPad

## Signals

### qml-scene-destroyed

    qml_scene_destroyed_callback (GstElement * param_0,
                                  gpointer udata)

    def qml_scene_destroyed_callback (param_0, udata):
        #python callback for the 'qml-scene-destroyed' signal

    function qml_scene_destroyed_callback(param_0: GstElement * param_0, udata: gpointer udata): {
        // javascript callback for the 'qml-scene-destroyed' signal
    }

Parameters:

`param_0` –
No description available
`udata` –
No description available

Flags: Run Last

### qml-scene-initialized

    qml_scene_initialized_callback (GstElement * param_0,
                                    gpointer udata)

    def qml_scene_initialized_callback (param_0, udata):
        #python callback for the 'qml-scene-initialized' signal

    function qml_scene_initialized_callback(param_0: GstElement * param_0, udata: gpointer udata): {
        // javascript callback for the 'qml-scene-initialized' signal
    }

Parameters:

`param_0` –
No description available
`udata` –
No description available

Flags: Run Last

## Properties

### max-framerate

    “max-framerate” GstFraction *

The maximum framerate to render when running with a variable framerate

Flags : Read / Write

Default value : 25/1

### qml-scene

    “qml-scene” gchararray

The contents of the QML scene

Flags : Read / Write

Default value : NULL

### root-item

    “root-item” gpointer

Provides the 'QQuickItem *' to render.

Flags : Read / Write

The results of the search are